unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm2 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    XGrid: TEdit;
    Label2: TLabel;
    YGrid: TEdit;
    Label3: TLabel;
    NColors: TEdit;
    GroupBox2: TGroupBox;
    lbx: TEdit;
    lby: TEdit;
    rtx: TEdit;
    rty: TEdit;
    rotate: TEdit;
    scale: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure XGridExit(Sender: TObject);
    procedure YGridExit(Sender: TObject);
    procedure NColorsExit(Sender: TObject);
    procedure lbxExit(Sender: TObject);
    procedure lbyExit(Sender: TObject);
    procedure rtxExit(Sender: TObject);
    procedure rtyExit(Sender: TObject);
    procedure rotateExit(Sender: TObject);
    procedure scaleExit(Sender: TObject);
  public
    XGridp            : LongWord;
    YGridp            : LongWord;
    NColorsp          : LongWord;
    lbxp, lbyp        : Double;
    rtxp, rtyp        : Double;
    rotatep, scalep     : Double;
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.Button1Click(Sender: TObject);
begin
  XGridExit(Self);
  YGridExit(Self);
  NColorsExit(Self);
  lbxExit(self);
  lbyExit(self);
  rtxExit(self);
  rtyExit(self);
  scaleExit(self);
  rotateExit(self);

  ModalResult := mrOK;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TForm2.XGridExit(Sender: TObject);
begin
  if XGrid.Text = '' Then XGridp := 0
  else XGridp := StrToInt(XGrid.Text);
end;

procedure TForm2.YGridExit(Sender: TObject);
begin
  if YGrid.Text = '' Then YGridp := 0
  else YGridp := StrToInt(YGrid.Text);
end;

procedure TForm2.NColorsExit(Sender: TObject);
begin
  if NColors.Text = '' Then NColorsp := 0
  else NColorsp := StrToInt(NColors.Text);
end;

procedure TForm2.lbxExit(Sender: TObject);
begin
  if lbx.Text = '' Then lbxp := 0
  else lbxp := StrToFloat(lbx.Text);
end;

procedure TForm2.lbyExit(Sender: TObject);
begin
  if lby.Text = '' Then lbyp := 0
  else lbyp := StrToFloat(lby.Text);
end;

procedure TForm2.rtxExit(Sender: TObject);
begin
  if rtx.Text = '' Then rtxp := 0
  else rtxp := StrToFloat(rtx.Text);
end;


procedure TForm2.rtyExit(Sender: TObject);
begin
  if rty.Text = '' Then rtyp := 0
  else rtyp := StrToFloat(rty.Text);
end;

procedure TForm2.rotateExit(Sender: TObject);
begin
  if rotate.Text = '' Then rotatep := 0
  else rotatep := StrToFloat(rotate.Text);
end;

procedure TForm2.scaleExit(Sender: TObject);
begin
  if scale.Text = '' Then scalep := 0
  else scalep := StrToFloat(scale.Text);
end;

end.
